Skip to main content
Resource Center/Hardware/Host Operations/PCI Device Operations
GETPCI Device OperationsSince 2.1SynchronousAuth Required

QueryPciDevicePciDeviceOffering

QueryPciDevicePciDeviceOffering

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventories.

    • pciDeviceUuidStringRequired

      No description provided.

    • pciDeviceOfferingUuidStringRequired

      No description provided.

Endpoint

GET/zstack/v1/pci-devices/pci-devices/pci-device-offerings

/zstack/v1/pci-devices/pci-devices/pci-device-offerings

Operation ID

QueryPciDevicePciDeviceOffering

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/pci-devices/pci-devices/pci-device-offerings' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ {} ] }

Change History

This API has no change history records yet.

View all change history